For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Application Load Balancers

Lists all Application Load Balancers within a data center.

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
datacenterIdstringRequired

The unique ID of the data center.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
offsetinteger · int32Optional

The first element (from the complete list of the elements) to include in the response (used together with limit for pagination).

Default: 0
limitinteger · int32 · min: 1 · max: 10000Optional

The maximum number of elements to return (use together with offset for pagination).

Default: 1000
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
200

Successful operation

application/json
get/datacenters/{datacenterId}/applicationloadbalancers
GET /cloudapi/v6/datacenters/{datacenterId}/applicationloadbalancers HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
  "type": "collection",
  "href": "<RESOURCE-URI>",
  "items": [
    {
      "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
      "type": "applicationloadbalancer",
      "href": "<RESOURCE-URI>",
      "metadata": {
        "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
        "createdDate": "2015-12-04T14:34:09.809Z",
        "createdBy": "user@example.com",
        "createdByUserId": "user@example.com",
        "lastModifiedDate": "2015-12-04T14:34:09.809Z",
        "lastModifiedBy": "user@example.com",
        "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
        "state": "AVAILABLE"
      },
      "properties": {
        "name": "My Application Load Balancer",
        "listenerLan": 1,
        "ips": [
          "81.173.1.2",
          "22.231.2.2",
          "22.231.2.3"
        ],
        "targetLan": 2,
        "lbPrivateIps": [
          "81.173.1.5/24",
          "22.231.2.5/24"
        ],
        "centralLogging": true,
        "loggingFormat": "%{+Q}o %{-Q}ci - - [%trg] %r %ST %B \"\" \"\" %cp %ms %ft %b %s %TR %Tw %Tc %Tr %Ta %tsc %ac %fc %bc %sc %rc %sq %bq %CC %CS %hrl %hsl",
        "tier": "ENHANCED_HA",
        "maintenanceWindow": {
          "dayOfTheWeek": "Monday",
          "time": "13:00:00"
        }
      },
      "entities": {
        "forwardingrules": {
          "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
          "type": "collection",
          "href": "<RESOURCE-URI>",
          "items": [
            {
              "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
              "type": "forwarding-rule",
              "href": "<RESOURCE-URI>",
              "metadata": {
                "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
                "createdDate": "2015-12-04T14:34:09.809Z",
                "createdBy": "user@example.com",
                "createdByUserId": "user@example.com",
                "lastModifiedDate": "2015-12-04T14:34:09.809Z",
                "lastModifiedBy": "user@example.com",
                "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
                "state": "AVAILABLE"
              },
              "properties": {
                "name": "My Application Load Balancer forwarding rule",
                "protocol": "HTTP",
                "listenerIp": "81.173.1.2",
                "listenerPort": 8080,
                "clientTimeout": 50,
                "serverCertificates": [
                  "3839d24f-57bd-408e-96ee-8da3d2db5a03",
                  "a6b4f7d5-b23a-4f53-b83e-8a6528ab4612"
                ],
                "httpRules": [
                  {
                    "name": "My Application Load Balancer HTTP rule",
                    "type": "FORWARD",
                    "targetGroup": "96e514d0-73e4-4abd-8fbc-c0f53b79bfae",
                    "dropQuery": true,
                    "location": "www.ionos.com",
                    "statusCode": 301,
                    "responseMessage": "Application Down",
                    "contentType": "text/html",
                    "conditions": [
                      {
                        "type": "HEADER",
                        "condition": "STARTS_WITH",
                        "negate": false,
                        "key": "forward-at",
                        "value": "Friday"
                      }
                    ]
                  }
                ]
              }
            }
          ],
          "offset": 0,
          "limit": 1000,
          "_links": {
            "prev": "<PREVIOUS-PAGE-URI>",
            "self": "<THIS-PAGE-URI>",
            "next": "<NEXT-PAGE-URI>"
          }
        }
      }
    }
  ],
  "offset": 0,
  "limit": 1000,
  "_links": {
    "prev": "<PREVIOUS-PAGE-URI>",
    "self": "<THIS-PAGE-URI>",
    "next": "<NEXT-PAGE-URI>"
  }
}

Last updated

Was this helpful?